nilmdb: Non-Intrusive Load Monitor Database
by Jim Paris <jim@jtan.com>

Prerequisites:

  # Runtime and build environments
  sudo apt install python3.7 python3.7-dev python3-pip

  # Install NilmDB dependencies
  pip3 install -r requirements.txt

Test:
  python3 setup.py nosetests

Install:

  sudo python3 setup.py install

Usage:

  nilmdb-server --help
  nilmdb-fsck --help
  nilmtool --help

See docs/wsgi.md for info on setting up a WSGI application in Apache.
